### Method

# Gtk.ConstraintGuide.get_name

#### Declaration [src]

    const char*
    gtk_constraint_guide_get_name (
      GtkConstraintGuide* guide
    )

#### Description [src]

Retrieves the name set using `gtk_constraint_guide_set_name()`.

Gets property | `Gtk.ConstraintGuide:name`

#### Return value

Returns: `const char*`
the name of the guide
Ownership is not transferred to the caller
Can be `NULL`
The string is a NUL terminated UTF-8 string